#
# spec file for package perl-Tk-Clock
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tk-Clock
Version:        0.40
Release:        lp150.1.3
%define cpan_name Tk-Clock
Summary:        Clock widget with analog and digital display
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tk-Clock/
Source0:        https://cpan.metacpan.org/authors/id/H/HM/HMBRAND/%{cpan_name}-%{version}.tgz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Tk) >= 402.000
BuildRequires:  perl(Tk::Canvas)
BuildRequires:  perl(Tk::Derived)
BuildRequires:  perl(Tk::Widget)
Requires:       perl(Test::More) >= 0.88
Requires:       perl(Test::NoWarnings)
Requires:       perl(Tk) >= 402.000
Requires:       perl(Tk::Canvas)
Requires:       perl(Tk::Derived)
Requires:       perl(Tk::Widget)
Recommends:     perl(Encode) >= 2.84
Recommends:     perl(Test::More) >= 1.302015
Recommends:     perl(Tk) >= 804.033
%{perl_requires}

%description
This module implements a Canvas-based clock widget for perl-Tk with lots of
options to change the appearance.

Both analog and digital clocks are implemented.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644
# MANUAL BEGIN
sed -i -e 's,/pro/bin/perl,/usr/bin/perl,' examples/*pl
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc ChangeLog CONTRIBUTING.md examples README

%changelog
* Sun Oct  8 2017 coolo@suse.com
- updated to 0.40
  see /usr/share/doc/packages/perl-Tk-Clock/ChangeLog
  0.40	- 12 May 2016, H.Merijn Brand
  * Fix backdrop test
  * Add CONTRIBUTING.md
  * It's 2016
  * Tested with 5.24.0, blead and Tk (git)
* Fri Mar 27 2015 stephan.barth@suse.com
- update to version 0.39 from 0.36
  Upstream changes:
  0.39
  * Remove perl recommendation from META as it breaks cpan clients
  0.38
  * Fix skip_all. require Test::More 0.88
  0.37
  * Use 12:15 AM instead of 00:15 AM
  * Upped Copyright to 2015
* Fri Sep 19 2014 coolo@suse.com
- updated to 0.36
  * Fix locales for non-utf8 (and windows)
  * Upped Copyright to 2014
  * Make sure boolean attributes are 0 or 1
  * Protect internal attributes from new and config calls
  * Dynamically determine width of digital date and time
* Fri Oct  4 2013 coolo@suse.com
- updated to 0.35
  * Indented SYNOPSIS (RT#85697 - Djibril Ousmanou)
  * Support for locales in long day and month formats
  * Support for local offset (in seconds)
* Wed Aug 14 2013 lars@linux-schulserver.de
- update to 0.34:
  + Force update if time wound back (ntp, date command)
  + Forced order of config attributes (destroying attribs last)
  + Better protect against CPANTESTERS with non-Tk environment
* Mon Dec 19 2011 coolo@suse.de
- update to 0.32
  - NAME / DISTNAME in Makefile.PL
  - More cross-checks for META data
* Thu Sep  1 2011 chris@computersalat.de
- initial package 0.30
  * created by cpanspec 1.78.04
